diff -Naur drupal-7.51/modules/filter/filter.module drupal-7.66/modules/filter/filter.module
--- drupal-7.51/modules/filter/filter.module	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/filter/filter.module	2019-04-17 22:20:46.000000000 +0200
@@ -1638,7 +1638,7 @@
   // Replace all HTML coments with a '<!-- [hash] -->' placeholder.
   if ($mode) {
     $content = $match[1];
-    $hash = md5($content);
+    $hash = hash('sha256', $content);
     $comments[$hash] = $content;
     return "<!-- $hash -->";
   }
diff -Naur drupal-7.51/modules/forum/forum.info drupal-7.66/modules/forum/forum.info
--- drupal-7.51/modules/forum/forum.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/forum/forum.info	2019-04-17 22:39:36.000000000 +0200
@@ -9,8 +9,7 @@
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/help/help.info drupal-7.66/modules/help/help.info
--- drupal-7.51/modules/help/help.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/help/help.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/image/image.admin.inc drupal-7.66/modules/image/image.admin.inc
--- drupal-7.51/modules/image/image.admin.inc	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/image/image.admin.inc	2019-04-17 22:20:46.000000000 +0200
@@ -736,7 +736,8 @@
     if (!isset($form[$key]['#access']) || $form[$key]['#access']) {
       $rows[] = array(
         'data' => $row,
-        'class' => !empty($form[$key]['weight']['#access']) || $key == 'new' ? array('draggable') : array(),
+        // Use a strict (===) comparison since $key can be 0.
+        'class' => !empty($form[$key]['weight']['#access']) || $key === 'new' ? array('draggable') : array(),
       );
     }
   }
diff -Naur drupal-7.51/modules/image/image.info drupal-7.66/modules/image/image.info
--- drupal-7.51/modules/image/image.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/image/image.info	2019-04-17 22:39:36.000000000 +0200
@@ -7,8 +7,7 @@
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/image/tests/image_module_test.info drupal-7.66/modules/image/tests/image_module_test.info
--- drupal-7.51/modules/image/tests/image_module_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/image/tests/image_module_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/locale/locale.info drupal-7.66/modules/locale/locale.info
--- drupal-7.51/modules/locale/locale.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/locale/locale.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/locale/locale.test drupal-7.66/modules/locale/locale.test
--- drupal-7.51/modules/locale/locale.test	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/locale/locale.test	2019-04-17 22:20:46.000000000 +0200
@@ -819,7 +819,7 @@
    *   Additional options to pass to the translation import form.
    */
   function importPoFile($contents, array $options = array()) {
-    $name = tempnam('temporary://', "po_") . '.po';
+    $name = drupal_tempnam('temporary://', "po_") . '.po';
     file_put_contents($name, $contents);
     $options['files[file]'] = $name;
     $this->drupalPost('admin/config/regional/translate/import', $options, t('Import'));
@@ -1113,7 +1113,7 @@
    *   Additional options to pass to the translation import form.
    */
   function importPoFile($contents, array $options = array()) {
-    $name = tempnam('temporary://', "po_") . '.po';
+    $name = drupal_tempnam('temporary://', "po_") . '.po';
     file_put_contents($name, $contents);
     $options['files[file]'] = $name;
     $this->drupalPost('admin/config/regional/translate/import', $options, t('Import'));
@@ -1340,7 +1340,7 @@
   function testExportTranslation() {
     // First import some known translations.
     // This will also automatically enable the 'fr' language.
-    $name = tempnam('temporary://', "po_") . '.po';
+    $name = drupal_tempnam('temporary://', "po_") . '.po';
     file_put_contents($name, $this->getPoFile());
     $this->drupalPost('admin/config/regional/translate/import', array(
       'langcode' => 'fr',
@@ -3188,11 +3188,7 @@
     foreach (language_types_info() as $type => $info) {
       if (isset($info['fixed'])) {
         $negotiation = variable_get("language_negotiation_$type", array());
-        $equal = count($info['fixed']) == count($negotiation);
-        while ($equal && list($id) = each($negotiation)) {
-          list(, $info_id) = each($info['fixed']);
-          $equal = $info_id == $id;
-        }
+        $equal = array_keys($negotiation) === array_values($info['fixed']);
         $this->assertTrue($equal, format_string('language negotiation for %type is properly set up', array('%type' => $type)));
       }
     }
diff -Naur drupal-7.51/modules/locale/tests/locale_test.info drupal-7.66/modules/locale/tests/locale_test.info
--- drupal-7.51/modules/locale/tests/locale_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/locale/tests/locale_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/menu/menu.info drupal-7.66/modules/menu/menu.info
--- drupal-7.51/modules/menu/menu.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/menu/menu.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/node/node.info drupal-7.66/modules/node/node.info
--- drupal-7.51/modules/node/node.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/node/node.info	2019-04-17 22:39:36.000000000 +0200
@@ -9,8 +9,7 @@
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/node/tests/node_access_test.info drupal-7.66/modules/node/tests/node_access_test.info
--- drupal-7.51/modules/node/tests/node_access_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/node/tests/node_access_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/node/tests/node_test.info drupal-7.66/modules/node/tests/node_test.info
--- drupal-7.51/modules/node/tests/node_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/node/tests/node_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/node/tests/node_test_exception.info drupal-7.66/modules/node/tests/node_test_exception.info
--- drupal-7.51/modules/node/tests/node_test_exception.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/node/tests/node_test_exception.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/openid/openid.info drupal-7.66/modules/openid/openid.info
--- drupal-7.51/modules/openid/openid.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/openid/openid.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/openid/tests/openid_test.info drupal-7.66/modules/openid/tests/openid_test.info
--- drupal-7.51/modules/openid/tests/openid_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/openid/tests/openid_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/overlay/overlay.info drupal-7.66/modules/overlay/overlay.info
--- drupal-7.51/modules/overlay/overlay.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/overlay/overlay.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/path/path.info drupal-7.66/modules/path/path.info
--- drupal-7.51/modules/path/path.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/path/path.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/path/path.test drupal-7.66/modules/path/path.test
--- drupal-7.51/modules/path/path.test	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/path/path.test	2019-04-17 22:20:46.000000000 +0200
@@ -21,7 +21,7 @@
     parent::setUp('path');
 
     // Create test user and login.
-    $web_user = $this->drupalCreateUser(array('create page content', 'edit own page content', 'administer url aliases', 'create url aliases'));
+    $web_user = $this->drupalCreateUser(array('create page content', 'edit own page content', 'administer url aliases', 'create url aliases', 'access content overview'));
     $this->drupalLogin($web_user);
   }
 
@@ -160,6 +160,34 @@
     $this->drupalGet($edit['path[alias]']);
     $this->assertNoText($node1->title, 'Alias was successfully deleted.');
     $this->assertResponse(404);
+
+    // Create third test node.
+    $node3 = $this->drupalCreateNode();
+
+    // Create an invalid alias with a leading slash and verify that the slash
+    // is removed when the link is generated. This ensures that URL aliases
+    // cannot be used to inject external URLs.
+    // @todo The user interface should either display an error message or
+    //   automatically trim these invalid aliases, rather than allowing them to
+    //   be silently created, at which point the functional aspects of this
+    //   test will need to be moved elsewhere and switch to using a
+    //   programmatically-created alias instead.
+    $alias = $this->randomName(8);
+    $edit = array('path[alias]' => '/' . $alias);
+    $this->drupalPost('node/' . $node3->nid . '/edit', $edit, t('Save'));
+    $this->drupalGet('admin/content');
+    // This checks the link href before clicking it, rather than using
+    // DrupalWebTestCase::assertUrl() after clicking it, because the test
+    // browser does not always preserve the correct number of slashes in the
+    // URL when it visits internal links; using DrupalWebTestCase::assertUrl()
+    // would actually make the test pass unconditionally on the testbot (or
+    // anywhere else where Drupal is installed in a subdirectory).
+    $link_xpath = $this->xpath('//a[normalize-space(text())=:label]', array(':label' => $node3->title));
+    $link_href = (string) $link_xpath[0]['href'];
+    $link_prefix = base_path() . (variable_get('clean_url', 0) ? '' : '?q=');
+    $this->assertEqual($link_href, $link_prefix . $alias);
+    $this->clickLink($node3->title);
+    $this->assertResponse(404);
   }
 
   /**
diff -Naur drupal-7.51/modules/php/php.info drupal-7.66/modules/php/php.info
--- drupal-7.51/modules/php/php.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/php/php.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/poll/poll.info drupal-7.66/modules/poll/poll.info
--- drupal-7.51/modules/poll/poll.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/poll/poll.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/profile/profile.info drupal-7.66/modules/profile/profile.info
--- drupal-7.51/modules/profile/profile.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/profile/profile.info	2019-04-17 22:39:36.000000000 +0200
@@ -11,8 +11,7 @@
 ; See user_system_info_alter().
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/rdf/rdf.info drupal-7.66/modules/rdf/rdf.info
--- drupal-7.51/modules/rdf/rdf.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/rdf/rdf.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 files[] = rdf.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/rdf/tests/rdf_test.info drupal-7.66/modules/rdf/tests/rdf_test.info
--- drupal-7.51/modules/rdf/tests/rdf_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/rdf/tests/rdf_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 hidden = TRUE
 dependencies[] = blog
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/search/search.admin.inc drupal-7.66/modules/search/search.admin.inc
--- drupal-7.51/modules/search/search.admin.inc	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/search/search.admin.inc	2019-04-17 22:20:46.000000000 +0200
@@ -125,6 +125,16 @@
     '#options' => $module_options,
     '#description' => t('Choose which search module is the default.')
   );
+  $form['logging'] = array(
+    '#type' => 'fieldset',
+    '#title' => t('Logging')
+  );
+  $form['logging']['search_logging'] = array(
+    '#type' => 'checkbox',
+    '#title' => t('Log searches'),
+    '#default_value' => variable_get('search_logging', 1),
+    '#description' => t('If checked, all searches will be logged. Uncheck to skip logging. Logging may affect performance.'),
+  );
   $form['#validate'][] = 'search_admin_settings_validate';
   $form['#submit'][] = 'search_admin_settings_submit';
 
diff -Naur drupal-7.51/modules/search/search.info drupal-7.66/modules/search/search.info
--- drupal-7.51/modules/search/search.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/search/search.info	2019-04-17 22:39:36.000000000 +0200
@@ -8,8 +8,7 @@
 configure = admin/config/search/settings
 stylesheets[all][] = search.css
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/search/search.install drupal-7.66/modules/search/search.install
--- drupal-7.51/modules/search/search.install	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/search/search.install	2019-04-17 22:20:46.000000000 +0200
@@ -12,6 +12,7 @@
   variable_del('minimum_word_size');
   variable_del('overlap_cjk');
   variable_del('search_cron_limit');
+  variable_del('search_logging');
 }
 
 /**
diff -Naur drupal-7.51/modules/search/search.pages.inc drupal-7.66/modules/search/search.pages.inc
--- drupal-7.51/modules/search/search.pages.inc	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/search/search.pages.inc	2019-04-17 22:20:46.000000000 +0200
@@ -57,9 +57,10 @@
     }
     // Only search if there are keywords or non-empty conditions.
     if ($keys || !empty($conditions)) {
-      // Log the search keys.
-      watchdog('search', 'Searched %type for %keys.', array('%keys' => $keys, '%type' => $info['title']), WATCHDOG_NOTICE, l(t('results'), 'search/' . $info['path'] . '/' . $keys));
-
+       if (variable_get('search_logging', TRUE)) {
+         // Log the search keys.
+         watchdog('search', 'Searched %type for %keys.', array('%keys' => $keys, '%type' => $info['title']), WATCHDOG_NOTICE, l(t('results'), 'search/' . $info['path'] . '/' . $keys));
+       }
       // Collect the search results.
       $results = search_data($keys, $info['module'], $conditions);
     }
diff -Naur drupal-7.51/modules/search/search.test drupal-7.66/modules/search/search.test
--- drupal-7.51/modules/search/search.test	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/search/search.test	2019-04-17 22:20:46.000000000 +0200
@@ -1453,7 +1453,7 @@
     parent::setUp('search', 'search_extra_type');
 
     // Login as a user that can create and search content.
-    $this->search_user = $this->drupalCreateUser(array('search content', 'administer search', 'administer nodes', 'bypass node access', 'access user profiles', 'administer users', 'administer blocks'));
+    $this->search_user = $this->drupalCreateUser(array('search content', 'administer search', 'administer nodes', 'bypass node access', 'access user profiles', 'administer users', 'administer blocks', 'access site reports'));
     $this->drupalLogin($this->search_user);
 
     // Add a single piece of content and index it.
@@ -1502,6 +1502,19 @@
     );
     $this->drupalPost('admin/config/search/settings', $edit, t('Save configuration'));
     $this->assertNoText(t('The configuration options have been saved.'), 'Form does not save with an invalid word length.');
+
+    // Test logging setting. It should be on by default.
+    $text = $this->randomName(5);
+    $this->drupalPost('search/node', array('keys' => $text), t('Search'));
+    $this->drupalGet('admin/reports/dblog');
+    $this->assertLink('Searched Content for ' . $text . '.', 0, 'Search was logged');
+
+    // Turn off logging.
+    variable_set('search_logging', FALSE);
+    $text = $this->randomName(5);
+    $this->drupalPost('search/node', array('keys' => $text), t('Search'));
+    $this->drupalGet('admin/reports/dblog');
+    $this->assertNoLink('Searched Content for ' . $text . '.', 'Search was not logged');
   }
 
   /**
diff -Naur drupal-7.51/modules/search/tests/search_embedded_form.info drupal-7.66/modules/search/tests/search_embedded_form.info
--- drupal-7.51/modules/search/tests/search_embedded_form.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/search/tests/search_embedded_form.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/search/tests/search_extra_type.info drupal-7.66/modules/search/tests/search_extra_type.info
--- drupal-7.51/modules/search/tests/search_extra_type.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/search/tests/search_extra_type.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/search/tests/search_node_tags.info drupal-7.66/modules/search/tests/search_node_tags.info
--- drupal-7.51/modules/search/tests/search_node_tags.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/search/tests/search_node_tags.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/shortcut/shortcut.info drupal-7.66/modules/shortcut/shortcut.info
--- drupal-7.51/modules/shortcut/shortcut.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/shortcut/shortcut.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = shortcut.test
 configure = admin/config/user-interface/shortcut
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/simpletest/drupal_web_test_case.php drupal-7.66/modules/simpletest/drupal_web_test_case.php
--- drupal-7.51/modules/simpletest/drupal_web_test_case.php	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/simpletest/drupal_web_test_case.php	2019-04-17 22:20:46.000000000 +0200
@@ -40,6 +40,13 @@
   protected $originalFileDirectory = NULL;
 
   /**
+   * URL to the verbose output file directory.
+   *
+   * @var string
+   */
+  protected $verboseDirectoryUrl;
+
+  /**
    * Time limit for the test.
    */
   protected $timeLimit = 500;
@@ -461,8 +468,11 @@
   protected function verbose($message) {
     if ($id = simpletest_verbose($message)) {
       $class_safe = str_replace('\\', '_', get_class($this));
-      $url = file_create_url($this->originalFileDirectory . '/simpletest/verbose/' . $class_safe . '-' . $id . '.html');
-      $this->error(l(t('Verbose message'), $url, array('attributes' => array('target' => '_blank'))), 'User notice');
+      $url = $this->verboseDirectoryUrl . '/' . $class_safe . '-' . $id . '.html';
+      // Not using l() to avoid invoking the theme system, so that unit tests
+      // can use verbose() as well.
+      $link = '<a href="' . $url . '" target="_blank">' . t('Verbose message') . '</a>';
+      $this->error($link, 'User notice');
     }
   }
 
@@ -719,10 +729,17 @@
    * method.
    */
   protected function setUp() {
-    global $conf;
+    global $conf, $language;
 
     // Store necessary current values before switching to the test environment.
     $this->originalFileDirectory = variable_get('file_public_path', conf_path() . '/files');
+    $this->verboseDirectoryUrl = file_create_url($this->originalFileDirectory . '/simpletest/verbose');
+
+    // Set up English language.
+    $this->originalLanguage = $language;
+    $this->originalLanguageDefault = variable_get('language_default');
+    unset($conf['language_default']);
+    $language = language_default();
 
     // Reset all statics so that test is performed with a clean environment.
     drupal_static_reset();
@@ -764,7 +781,7 @@
   }
 
   protected function tearDown() {
-    global $conf;
+    global $conf, $language;
 
     // Get back to the original connection.
     Database::removeConnection('default');
@@ -775,6 +792,12 @@
     if (isset($this->originalModuleList)) {
       module_list(TRUE, FALSE, FALSE, $this->originalModuleList);
     }
+
+    // Reset language.
+    $language = $this->originalLanguage;
+    if ($this->originalLanguageDefault) {
+      $GLOBALS['conf']['language_default'] = $this->originalLanguageDefault;
+    }
   }
 }
 
@@ -1374,12 +1397,14 @@
    * @see DrupalWebTestCase::tearDown()
    */
   protected function prepareEnvironment() {
-    global $user, $language, $conf;
+    global $user, $language, $language_url, $conf;
 
     // Store necessary current values before switching to prefixed database.
     $this->originalLanguage = $language;
+    $this->originalLanguageUrl = $language_url;
     $this->originalLanguageDefault = variable_get('language_default');
     $this->originalFileDirectory = variable_get('file_public_path', conf_path() . '/files');
+    $this->verboseDirectoryUrl = file_create_url($this->originalFileDirectory . '/simpletest/verbose');
     $this->originalProfile = drupal_get_profile();
     $this->originalCleanUrl = variable_get('clean_url', 0);
     $this->originalUser = $user;
@@ -1387,7 +1412,7 @@
     // Set to English to prevent exceptions from utf8_truncate() from t()
     // during install if the current language is not 'en'.
     // The following array/object conversion is copied from language_default().
-    $language = (object) array('language' => 'en', 'name' => 'English', 'native' => 'English', 'direction' => 0, 'enabled' => 1, 'plurals' => 0, 'formula' => '', 'domain' => '', 'prefix' => '', 'weight' => 0, 'javascript' => '');
+    $language_url = $language = (object) array('language' => 'en', 'name' => 'English', 'native' => 'English', 'direction' => 0, 'enabled' => 1, 'plurals' => 0, 'formula' => '', 'domain' => '', 'prefix' => '', 'weight' => 0, 'javascript' => '');
 
     // Save and clean the shutdown callbacks array because it is static cached
     // and will be changed by the test run. Otherwise it will contain callbacks
@@ -1445,7 +1470,7 @@
    * @see DrupalWebTestCase::prepareEnvironment()
    */
   protected function setUp() {
-    global $user, $language, $conf;
+    global $user, $language, $language_url, $conf;
 
     // Create the database prefix for this test.
     $this->prepareDatabasePrefix();
@@ -1542,7 +1567,7 @@
 
     // Set up English language.
     unset($conf['language_default']);
-    $language = language_default();
+    $language_url = $language = language_default();
 
     // Use the test mail class instead of the default mail handler class.
     variable_set('mail_system', array('default-system' => 'TestingMailSystem'));
@@ -1636,7 +1661,7 @@
    * and reset the database prefix.
    */
   protected function tearDown() {
-    global $user, $language;
+    global $user, $language, $language_url;
 
     // In case a fatal error occurred that was not in the test process read the
     // log to pick up any fatal errors.
@@ -1701,6 +1726,7 @@
 
     // Reset language.
     $language = $this->originalLanguage;
+    $language_url = $this->originalLanguageUrl;
     if ($this->originalLanguageDefault) {
       $GLOBALS['conf']['language_default'] = $this->originalLanguageDefault;
     }
@@ -2986,7 +3012,7 @@
     if (!$message) {
       $message = t('Raw "@raw" found', array('@raw' => $raw));
     }
-    return $this->assert(strpos($this->drupalGetContent(), $raw) !== FALSE, $message, $group);
+    return $this->assert(strpos($this->drupalGetContent(), (string) $raw) !== FALSE, $message, $group);
   }
 
   /**
@@ -3006,7 +3032,7 @@
     if (!$message) {
       $message = t('Raw "@raw" not found', array('@raw' => $raw));
     }
-    return $this->assert(strpos($this->drupalGetContent(), $raw) === FALSE, $message, $group);
+    return $this->assert(strpos($this->drupalGetContent(), (string) $raw) === FALSE, $message, $group);
   }
 
   /**
